Customer Contact
The customer contact resource.
/customerContactList customer contacts
Retrieve a paginated list of customer contacts. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/customerContact?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"customerId": "xyz789",
"contactId": "xyz789",
"customerLocationId": "xyz789",
"userId": "xyz789",
"customFields": "string",
"tags": []
}
]/customerContactRetrieve a customer contact
Fetch a single customer contact by filtering on `id`.
Query parameters
idstringMatch on the customer contact's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/customerContact?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"customerId": "xyz789",
"contactId": "xyz789",
"customerLocationId": "xyz789",
"userId": "xyz789",
"customFields": "string",
"tags": []
}/customerContactCreate a customer contact
Create a new customer contact.
Body parameters
customerIdstringrequiredReferences customer.id
contactIdstringrequiredReferences contact.id
customerLocationIdstringReferences customerLocation.id
userIdstringReferences user.id
customFieldsobjecttagsarraycurl --request POST \
--url https://rest.carbon.ms/customerContact \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"customerId":"xyz789","contactId":"xyz789"}'{
"id": "abc123def456",
"customerId": "xyz789",
"contactId": "xyz789",
"customerLocationId": "xyz789",
"userId": "xyz789",
"customFields": "string",
"tags": []
}/customerContactUpdate a customer contact
Update an existing customer contact, matched on `id`.
Body parameters
customerIdstringrequiredReferences customer.id
contactIdstringrequiredReferences contact.id
customerLocationIdstringReferences customerLocation.id
userIdstringReferences user.id
customFieldsobjecttagsarraycurl --request PATCH \
--url 'https://rest.carbon.ms/customerContact?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"customerId":"xyz789"}'{
"id": "abc123def456",
"customerId": "xyz789",
"contactId": "xyz789",
"customerLocationId": "xyz789",
"userId": "xyz789",
"customFields": "string",
"tags": []
}/customerContactDelete a customer contact
Delete a customer contact, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the customer contact to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/customerContact?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'